Bug 198499 - New port: security/passivedns: Security tool to sniff and log all dns queries
Summary: New port: security/passivedns: Security tool to sniff and log all dns queries
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lars Engels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-10 17:03 UTC by shadowbq
Modified: 2015-05-12 11:58 UTC (History)
2 users (show)

See Also:


Attachments
passivedns shar port archive (4.58 KB, application/x-shar)
2015-03-10 17:03 UTC, shadowbq
no flags Details
updated shar file (4.59 KB, application/x-shar)
2015-03-10 18:38 UTC, shadowbq
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description shadowbq 2015-03-10 17:03:46 UTC
Created attachment 154153 [details]
passivedns shar port archive

New port: security/passivedns: Security tool to sniff and log all dns queries

https://github.com/gamelinux/passivedns/tree/master/doc

A tool to collect DNS records passively to aid Incident handling, Network
Security Monitoring (NSM) and general digital forensics.

PassiveDNS sniffs traffic from an interface or reads a pcap-file and outputs
the DNS-server answers to a log file. PassiveDNS can cache/aggregate duplicate
DNS answers in-memory, limiting the amount of data in the logfile without
losing the essense in the DNS answer.
Comment 1 shadowbq 2015-03-10 18:38:36 UTC
Created attachment 154159 [details]
updated shar file

The orginal submission is not open yet, Ive updated the shar file.
Comment 2 commit-hook freebsd_committer 2015-04-27 20:34:06 UTC
A commit references this bug:

Author: lme
Date: Mon Apr 27 20:33:40 UTC 2015
New revision: 384872
URL: https://svnweb.freebsd.org/changeset/ports/384872

Log:
  Add security/passivedns:

  A tool to collect DNS records passively to aid Incident handling, Network
  Security Monitoring (NSM) and general digital forensics.

  PassiveDNS sniffs traffic from an interface or reads a pcap-file and outputs
  the DNS-server answers to a log file. PassiveDNS can cache/aggregate duplicate
  DNS answers in-memory, limiting the amount of data in the logfile without
  losing the essense in the DNS answer.

  WWW: https://github.com/gamelinux/passivedns

  PR:		198499
  Submitted by:	shadowbq@gmail.com

Changes:
  head/security/Makefile
  head/security/passivedns/
  head/security/passivedns/Makefile
  head/security/passivedns/distinfo
  head/security/passivedns/files/
  head/security/passivedns/files/passivedns.in
  head/security/passivedns/files/pkg-message.in
  head/security/passivedns/pkg-descr
  head/security/passivedns/pkg-plist
Comment 3 Lars Engels freebsd_committer 2015-04-27 20:34:06 UTC
Committed, with minor changes. Thank you!
Comment 4 commit-hook freebsd_committer 2015-05-12 11:58:15 UTC
A commit references this bug:

Author: jbeich
Date: Tue May 12 11:57:58 UTC 2015
New revision: 386136
URL: https://svnweb.freebsd.org/changeset/ports/386136

Log:
  security/passivedns: unbreak build

  - Fix versioning scheme but keep git-describe(1) format
  - Respect LOCALBASE != PREFIX
  - Drop unnecessary bsd.port.options.mk
  - Drop unused AUTOMAKE_ARGS
  - Drop deprecated author line from pkg-descr

  PR:		198499
  Pointy hat:	lme (2 weeks no fix)
  Reported by:	pkg-fallout, DPorts
  Approved by:	portmgr blanket

Changes:
  head/security/passivedns/Makefile
  head/security/passivedns/distinfo
  head/security/passivedns/pkg-descr